## blinkpy 0.23.0

=== requirements.txt ===
python-dateutil>=2.8.1
requests>=2.24.0
python-slugify>=4.0.1
sortedcontainers~=2.4.0
aiohttp>=3.8.4
aiofiles>=23.1.0

=== debian/changelog ===
blinkpy (0.23.0-2) unstable; urgency=medium

  * Fix for test fail with python-aiohttp 3.10.0 (Closes: #1077981)
    Thanks to Colin Watson for the patch.

 -- Edward Betts <edward@4angle.com>  Wed, 14 Aug 2024 23:14:21 +0100

blinkpy (0.23.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1077139)

 -- Edward Betts <edward@4angle.com>  Fri, 26 Jul 2024 14:15:30 +0900

=== debian/control ===
Source: blinkpy
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-aiofiles <!nocheck>,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-dateutil <!nocheck>,
               python3-pytest <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools,
               python3-slugify <!nocheck>,
               python3-sortedcontainers <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/fronzbot/blinkpy
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/blinkpy
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/blinkpy.git

Package: python3-blinkpy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library for the Blink Camera system
 Provides an interface for easy communication with Blink camera systems. It
 allows users to control, monitor, and integrate Blink cameras into custom
 applications seamlessly. The library supports features such as arming and
 disarming sync modules, enabling and disabling motion detection, and
 downloading recorded videos. It utilizes asyncio for asynchronous operations,
 ensuring efficient and responsive interactions with the Blink API.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=blinkpy

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf blinkpy.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/blinkpy-$1\.tar\.gz/ \
  https://github.com/fronzbot/blinkpy/tags .*/v?(\d\S+)\.tar\.gz

## blinkpy 0.24.1

=== debian/changelog ===
blinkpy (0.24.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch, no longer needed.
  * Switch to autopkgtest-pkg-pybuild.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Simplify debian/rules.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 29 Oct 2025 19:27:16 +0000

=== debian/control ===
Source: blinkpy
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-aiofiles <!nocheck>,
 python3-aiohttp <!nocheck>,
 python3-all,
 python3-dateutil <!nocheck>,
 python3-pytest <!nocheck>,
 python3-requests <!nocheck>,
 python3-setuptools,
 python3-slugify <!nocheck>,
 python3-sortedcontainers <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/fronzbot/blinkpy
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/blinkpy
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/blinkpy.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-blinkpy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python library for the Blink Camera system
 Provides an interface for easy communication with Blink camera systems. It
 allows users to control, monitor, and integrate Blink cameras into custom
 applications seamlessly. The library supports features such as arming and
 disarming sync modules, enabling and disabling motion detection, and
 downloading recorded videos. It utilizes asyncio for asynchronous operations,
 ensuring efficient and responsive interactions with the Blink API.

=== debian/watch ===
Version: 5

Template: Github
Owner: fronzbot
Project: blinkpy

## blinkpy 0.25.2

=== debian/changelog ===
blinkpy (0.25.2-1) unstable; urgency=medium

  * New upstream release.
  * Add Version-Mangle to debian/watch to handle beta versions.
  * Move packages required for tests to Build-Depends-Indep.
  * Add python3-pytest-asyncio to build dependencies.

 -- Edward Betts <edward@4angle.com>  Sat, 13 Dec 2025 12:51:18 +0000

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,15 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
+ python3-all,
+ python3-setuptools,
+Build-Depends-Indep:
  python3-aiofiles <!nocheck>,
  python3-aiohttp <!nocheck>,
- python3-all,
  python3-dateutil <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
  python3-requests <!nocheck>,
- python3-setuptools,
  python3-slugify <!nocheck>,
  python3-sortedcontainers <!nocheck>,
 Standards-Version: 4.7.2

## blinkpy 0.25.3

=== debian/changelog ===
blinkpy (0.25.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Wed, 07 Jan 2026 03:13:58 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -19,7 +18,7 @@
  python3-requests <!nocheck>,
  python3-slugify <!nocheck>,
  python3-sortedcontainers <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/fronzbot/blinkpy
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/blinkpy
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/blinkpy.git

=== debian/watch ===
Version: 5

Template: Github
Owner: fronzbot
Project: blinkpy
Version-Mangle: s/\.b(\d+)$/~b$1/

## blinkpy 0.25.5

=== debian/changelog ===
blinkpy (0.25.5-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sun, 08 Feb 2026 06:09:05 +0000
